Package org.eclipse.ui.forms

## Interface IDetailsPageProvider

    public interface IDetailsPageProvider

The class that implements this interface provides for dynamic computation of page key and the page itself based on the input object. It should be used in situations where using the object class as a static key is not enough i.e. different pages may need to be loaded for objects of the same type depending on their state.

Since:
  3.0
See Also:
  `DetailsPart`, `MasterDetailsBlock`

### Method Summary

All Methods Instance Methods Abstract Methods
`IDetailsPage` `getPage​(Object key)` Returns the page for the provided key.
`Object` `getPageKey​(Object object)` Returns the page key for the provided object.

### Method Detail

#### getPageKey

    Object getPageKey​(Object object)

Returns the page key for the provided object. The assumption is that the provider knows about various object types and is in position to cast the object into a type and call methods on it to determine the matching page key.

Parameters:
  `object` - the input object
Returns:
  the page key for the provided object

#### getPage

    IDetailsPage getPage​(Object key)

Returns the page for the provided key. This method is the dynamic alternative to registering pages with the details part directly.

Parameters:
  `key` - the page key
Returns:
  the matching page for the provided key